Uploaded image for project: 'Jalview'
  1. Jalview
  2. JAL-3130

Jalview running under Java 11

    XMLWordPrintable

    Details

    • Type: Epic
    • Status: In Progress
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 2.11.0
    • Fix Version/s: 2.11.0, 2.11.1
    • Component/s: Dev and Dep
    • Labels:
      None
    • Environment:
      Java 11.
      OSX, Windows, Linux
    • Epic Name:
      java11

      Description

      Java 9 and 10 are now deprecated - so Jalview now needs to be targeted for running on either Java 8 (in order to maintain compatibility with JAL-3026), or Java 11 (to take advantage of a more performant JVM).

      Notes below on making Jalview run on Java 11 - and addressing any issues highlighted through java 9, and 10.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              soares Ben Soares
              Reporter:
              jprocter Jim Procter
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated: